Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.lf5.viewer.categoryexplorer
Class CategoryPath

    java.lang.Object
      org.apache.log4j.lf5.viewer.categoryexplorer.CategoryPath

    public class CategoryPath

extends java.lang.Object

CategoryPath is a collection of CategoryItems which represent a path of categories.

Author:
  Michael J. Sikorsky, Robert Shaw

Field Summary
`protected java.util.LinkedList` | `_categoryElements`

Constructor Summary
`CategoryPath()`
`CategoryPath(java.lang.String category)` Construct a CategoryPath.

Method Summary
`void` | `addCategoryElement(CategoryElement categoryElement)` Adds the specified categoryElement to the end of the categoryElement set.
`CategoryElement` | `categoryElementAt(int index)` Returns the CategoryElement at the specified index.
`boolean` | `isEmpty()`
`void` | `removeAllCategoryElements()` Removes all categoryElements.
`int` | `size()` returns the number of CategoryElements.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _categoryElements

    protected java.util.LinkedList _categoryElements

Constructor Detail

### CategoryPath

    public CategoryPath()

### CategoryPath

    public CategoryPath(java.lang.String category)

  Construct a CategoryPath. If the category is null, it defaults to "Debug".

Method Detail

### size

    public int size()

  returns the number of CategoryElements.

### isEmpty

    public boolean isEmpty()

### removeAllCategoryElements

    public void removeAllCategoryElements()

  Removes all categoryElements.

### addCategoryElement

    public void addCategoryElement(CategoryElement categoryElement)

  Adds the specified categoryElement to the end of the categoryElement set.

### categoryElementAt

    public CategoryElement categoryElementAt(int index)

  Returns the CategoryElement at the specified index.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 Apache Software Foundation. All Rights Reserved.